#include "CRC_UDM.h"
#include "can.h"
#include "Global_Variable.h"



void No_signal_RC(void){


	// GV_RC_VCU_counter1_CHECK = 260 으로 초기에 GV_RC_VCU_counter1와 같은 숫자 회피
	if(GV_Operation_Mode == 1 ){
		if(GV_RC_VCU_counter1_CHECK != GV_RC_VCU_ARC){
			GV_RC_VCU_counter1_CHECK = GV_RC_VCU_ARC;

		}else{				// 200ms가 지낫는데도 둘다 같은 값이면 -> 신호가 안들어오고 있음 -> 이머전시 스탑 (기존 정상치라면 20 증가 해야함)
//			GV_Operation_Mode = 2 ;
			GV_RC_ALV_FLAG= 1;
		}
	}else if(GV_Operation_Mode == 2){

		// 이머전시 모드 푸는 법 - rc 모듈 이머전시 토글
		// 얼라이브 카운트로 이머전시 발동 시 - 이머전시 버튼 두번 누르면 됨

		if(GV_RC_Emergency_Stop == 1){
			GV_RC_ALV_FLAG= 0;

		}

	}







}
